Uploaded image for project: 'Community Package Repository'
  1. Community Package Repository
  2. CPR-705

Apt errors on buster with "E: The repository 'http://apt.puppetlabs.com buster InRelease' provides only weak security information."

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Packaging
    • Labels:
    • Environment:

      __Debian 10.

    • QA Risk Assessment:
      Needs Assessment

      Description

      Hi, when trying to install buster today, i am seeing:

       

      `

      W: No Hash entry in Release file /var/lib/apt/lists/partial/apt.puppetlabs.com_dists_buster_InRelease

      E: The repository 'http://apt.puppetlabs.com buster InRelease' provides only weak security information.

      N: Updating from such a repository can't be done securely, and is therefore disabled by default.

      N: See apt-secure(8) manpage for repository creation and user configuration details.

      `

       

      when running apt-get update.

       

      Could this be fixed please?

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              Paladox Paladox
            • Votes:
              1 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support